import type { NobjcObject } from "objc-js";
import type { _TKTokenKeychainItem } from "./TKTokenKeychainItem.js";
import type { _NSData } from "../Foundation/NSData.js";
export declare class _TKTokenKeychainCertificate extends _TKTokenKeychainItem {
    static alloc(): _TKTokenKeychainCertificate;
    static new(): _TKTokenKeychainCertificate;
    init(): _TKTokenKeychainCertificate;
    /**
     * @discussion initialize TKTokenKeychainCertificate with data from SecCertificateRef. Use SecCertificateCreateWithData to obtain SecCertificateRef. @c constraints property is initialized indicating that reading of certificate is always allowed, all other operations are disallowed.
     */
    initWithCertificate$objectID$(certificateRef: NobjcObject, objectID: NobjcObject): _TKTokenKeychainCertificate | null;
    /** @discussion Contains DER-encoded representation of an X.509 certificate. */
    data(): _NSData;
}
